Skip to main content
PUT
https://{tenantDomain}/api/v2
/
guardian
/
factors
/
push-notification
/
selected-provider
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Guardian.Factors;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Guardian.Factors.PushNotification.SetProviderAsync(
            new SetGuardianFactorsProviderPushNotificationRequestContent {
                Provider = GuardianFactorsProviderPushNotificationProviderDataEnum.Guardian
            }
        );
    }

}
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

provider
enum<string>
required
Available options:
guardian,
sns,
direct

Response

Returns selected push notification provider configuration

provider
enum<string>
Available options:
guardian,
sns,
direct